/*******************************************************************************
* File Name: cycfg_peripherals.c
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* 
********************************************************************************
* Copyright 2017-2019 Cypress Semiconductor Corporation
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#include "cycfg_peripherals.h"

#define TIMECOUNTER_INPUT_DISABLED 0x7U

const cy_stc_scb_uart_config_t UART_config = 
{
	.uartMode = CY_SCB_UART_STANDARD,
	.enableMutliProcessorMode = false,
	.smartCardRetryOnNack = false,
	.irdaInvertRx = false,
	.irdaEnableLowPowerReceiver = false,
	.oversample = 12,
	.enableMsbFirst = false,
	.dataWidth = 9UL,
	.parity = CY_SCB_UART_PARITY_NONE,
	.stopBits = CY_SCB_UART_STOP_BITS_1,
	.enableInputFilter = false,
	.breakWidth = 11UL,
	.dropOnFrameError = false,
	.dropOnParityError = false,
	.receiverAddress = 0x0UL,
	.receiverAddressMask = 0x0UL,
	.acceptAddrInFifo = false,
	.enableCts = false,
	.ctsPolarity = CY_SCB_UART_ACTIVE_LOW,
	.rtsRxFifoLevel = 0UL,
	.rtsPolarity = CY_SCB_UART_ACTIVE_LOW,
	.rxFifoTriggerLevel = 63UL,
	.rxFifoIntEnableMask = 0UL,
	.txFifoTriggerLevel = 63UL,
	.txFifoIntEnableMask = 0UL,
};
cy_en_sd_host_card_capacity_t SDHC0_cardCapacity = CY_SD_HOST_SDSC;
cy_en_sd_host_card_type_t SDHC0_cardType = CY_SD_HOST_NOT_EMMC;
uint32_t SDHC0_rca = 0u;
const cy_stc_sd_host_init_config_t SDHC0_config = 
{
	.emmc = false,
	.dmaType = CY_SD_HOST_DMA_SDMA,
	.enableLedControl = false,
};
cy_stc_sd_host_sd_card_config_t SDHC0_card_cfg = 
{
	.lowVoltageSignaling = true,
	.busWidth = CY_SD_HOST_BUS_WIDTH_4_BIT,
	.cardType = &SDHC0_cardType,
	.rca = &SDHC0_rca,
	.cardCapacity = &SDHC0_cardCapacity,
};
cy_en_sd_host_card_capacity_t SDHC1_cardCapacity = CY_SD_HOST_SDSC;
cy_en_sd_host_card_type_t SDHC1_cardType = CY_SD_HOST_NOT_EMMC;
uint32_t SDHC1_rca = 0u;
const cy_stc_sd_host_init_config_t SDHC1_config = 
{
	.emmc = false,
	.dmaType = CY_SD_HOST_DMA_SDMA,
	.enableLedControl = false,
};
cy_stc_sd_host_sd_card_config_t SDHC1_card_cfg = 
{
	.lowVoltageSignaling = true,
	.busWidth = CY_SD_HOST_BUS_WIDTH_4_BIT,
	.cardType = &SDHC1_cardType,
	.rca = &SDHC1_rca,
	.cardCapacity = &SDHC1_cardCapacity,
};
const cy_stc_tcpwm_counter_config_t TIMECOUNTER_config = 
{
	.period = 4294967295,
	.clockPrescaler = CY_TCPWM_COUNTER_PRESCALER_DIVBY_1,
	.runMode = CY_TCPWM_COUNTER_CONTINUOUS,
	.countDirection = CY_TCPWM_COUNTER_COUNT_UP,
	.compareOrCapture = CY_TCPWM_COUNTER_MODE_CAPTURE,
	.compare0 = 16384,
	.compare1 = 16384,
	.enableCompareSwap = false,
	.interruptSources = CY_TCPWM_INT_NONE,
	.captureInputMode = TIMECOUNTER_INPUT_DISABLED & 0x3U,
	.captureInput = CY_TCPWM_INPUT_0,
	.reloadInputMode = TIMECOUNTER_INPUT_DISABLED & 0x3U,
	.reloadInput = CY_TCPWM_INPUT_0,
	.startInputMode = TIMECOUNTER_INPUT_DISABLED & 0x3U,
	.startInput = CY_TCPWM_INPUT_0,
	.stopInputMode = TIMECOUNTER_INPUT_DISABLED & 0x3U,
	.stopInput = CY_TCPWM_INPUT_0,
	.countInputMode = TIMECOUNTER_INPUT_DISABLED & 0x3U,
	.countInput = CY_TCPWM_INPUT_1,
};


void init_cycfg_peripherals(void)
{
	Cy_SysClk_PeriphAssignDivider(PCLK_SCB5_CLOCK, CY_SYSCLK_DIV_8_BIT, 0U);

	Cy_SysClk_PeriphAssignDivider(PCLK_TCPWM0_CLOCKS0, CY_SYSCLK_DIV_8_BIT, 1U);
}
